# DataExchange
TKXSBase
IFSelect

# IFSelect_SignAncestor Class Reference

`#include <IFSelect_SignAncestor.hxx>`

Inheritance diagram for IFSelect_SignAncestor:

[legend]

## Public Member Functions

Standard_EXPORT | IFSelect_SignAncestor (const Standard_Boolean nopk=Standard_False)
virtual Standard_EXPORT Standard_Boolean | Matches (const Handle(Standard_Transient)&ent, const Handle(Interface_InterfaceModel)&model, const TCollection_AsciiString &text, const Standard_Boolean exact) const
| Tells if the value for <ent> in <model> matches a text, with a criterium <exact>. The default definition calls MatchValue Can be redefined .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT IFSelect_SignAncestor::IFSelect_SignAncestor | ( | const Standard_Boolean | nopk = `Standard_False` | ) |

## Member Function Documentation

Standard_EXPORT const IFSelect_SignAncestor::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IFSelect_SignType.

virtual Standard_EXPORT Standard_Boolean IFSelect_SignAncestor::Matches | ( | const Handle(Standard_Transient)& | ent,
|  | const Handle(Interface_InterfaceModel)& | model,
|  | const TCollection_AsciiString & | text,
|  | const Standard_Boolean | exact
| ) | const`[virtual]`

| Reimplemented from IFSelect_Signature.

The documentation for this class was generated from the following file:

- IFSelect_SignAncestor.hxx